<script lang="ts">
    const props = $props<{
        allTags: string[];
        selectedTags: string[];
        onTagToggle: (tag: string) => void;
        onClearFilters: () => void;
    }>();
    
    // Functions that call the provided handlers
    function toggleTag(tag: string) {
        props.onTagToggle(tag);
    }
    
    function clearFilters() {
        props.onClearFilters();
    }
</script>

<div class="mb-6 bg-background-alt p-6 rounded-lg shadow-sm">
    <div class="flex items-center justify-between mb-4">
        <h3 class="text-xl font-semibold text-content-primary">Filter by skills & technologies</h3>
        {#if props.selectedTags.length > 0}
            <button 
                class="px-3 py-1 text-sm bg-gray-200 hover:bg-gray-300 dark:bg-gray-700 dark:hover:bg-gray-600 rounded-full transition-colors" 
                onclick={clearFilters}
            >
                Clear all filters
            </button>
        {/if}
    </div>
    
    <div class="flex flex-wrap gap-2">
        {#each props.allTags as tag}
            <button 
                class="px-3 py-1 text-sm rounded-full transition-colors duration-200 
                {props.selectedTags.includes(tag) 
                    ? 'bg-blue-500 text-white' 
                    : 'bg-gray-200 text-gray-800 dark:bg-gray-700 dark:text-gray-200 hover:bg-gray-300 dark:hover:bg-gray-600'}"
                onclick={() => toggleTag(tag)}
            >
                {tag}
            </button>
        {/each}
    </div>
</div>